
[client](#client)

Рекомендуемый способ запуска всех сервисов через docker-compose.yml:
```bash
docker compose up -d --build
```

# client

Переменные окружения (.env) описаны в .env.example

## Docker

Есть два варианта запуска в Docker:

1. Рекомендованный способ сборки через `docker-compose.yml`, находящийся в корне репозитория:
```bash
docker compose up -d --build --no-deps client
```

2. Сборка отдельного контейнера без docker compose, из Dockerfile:

```bash
cd client
```
```bash
docker build -t client .
```

```bash
docker run -d --name client -p 5173:5173 --restart always client
```

## Локально

⚠ Рекомендуется [Node](https://nodejs.org/en/download/package-manager) LTS версии ^20.15.1

```bash
cd client
```

В `client`:
1. Установить зависимости:
```bash
npm install
```

2. Запуск vite в dev-режиме: 
```bash
npm run dev
```
или в production-ready [serve](https://www.npmjs.com/package/serve):
```bash
npm serve
```

# monitor
